{...}: {
  git-hooks = {
    hooks = {
      alejandra.enable = true;
      check-case-conflicts.enable = true;
      check-merge-conflicts.enable = true;
      commitizen.enable = true;
      deadnix.enable = true;
      detect-private-keys.enable = true;
      end-of-file-fixer.enable = true;
      markdownlint.enable = true;
      mdformat.enable = true;
    };

    hooks.home-manager-check = {
      enable = true;
      name = "Home Manager Config Check";
      entry = "home-manager switch --dry-run";
      pass_filenames = false;
      excludes = ["^docs/"];
    };
  };
}
