{...}: {
  programs = {
    ssh = {
      enable = true;
      matchBlocks = {
        SmartCAN = {
          host = "smartcan 192.168.5.1";
          user = "root";
          hostname = "192.168.5.1";
          checkHostIP = false;
          extraOptions = {
            StrictHostKeyChecking = "no";
            UserKnownHostsFile = "/dev/null";
            LogLevel = "ERROR";
          };
        };
        Fusion-USB = {
          host = "fusion-usb 172.16.0.1";
          user = "root";
          hostname = "172.16.0.1";
          checkHostIP = false;
          extraOptions = {
            StrictHostKeyChecking = "no";
            UserKnownHostsFile = "/dev/null";
            LogLevel = "ERROR";
          };
        };
        Fusion-Wifi = {
          host = "fusion-wifi fusion 172.16.1.1";
          user = "root";
          hostname = "172.16.1.1";
          checkHostIP = false;
          extraOptions = {
            StrictHostKeyChecking = "no";
            UserKnownHostsFile = "/dev/null";
            LogLevel = "ERROR";
          };
        };
        Fusion-TX = {
          host = "fusion-tx 10.100.30.160";
          user = "root";
          hostname = "10.100.30.160";
          checkHostIP = false;
          extraOptions = {
            StrictHostKeyChecking = "no";
            UserKnownHostsFile = "/dev/null";
            LogLevel = "ERROR";
          };
        };
        hcvpnde = {
          host = "hcvpnde hcvpnde.horsch.com";
          hostname = "hcvpnde.horsch.com";
        };
        smartcan-vpn = {
          host = "smartcan3-*";
          user = "root";
          proxyJump = "hcvpnde";
        };
      };
    };
  };
}
