{ theme, ... }:

let
  theme_file = if theme == "light" then "Solarized_Light" else "Solarized_Dark";
in
{
  programs = {
    kitty = {
      enable = true;
      themeFile = theme_file;
      font = {
        name = "FiraCode";
      };
      settings = {
        tab_bar_style = "powerline";
      };
    };
  };
}
